Chinaunix首页 | 论坛 | 博客
  • 博客访问: 102367
  • 博文数量: 17
  • 博客积分: 47
  • 博客等级: 民兵
  • 技术积分: 220
  • 用 户 组: 普通用户
  • 注册时间: 2012-04-16 15:40
个人简介

学无止境

文章分类

全部博文(17)

文章存档

2014年(2)

2013年(15)

分类: LINUX

2014-05-25 11:13:40

一时兴起,想装个pps看看电影什么的,在网上找了一下相关的帖子,安装其实挺简单两条命令就可以搞定,本人在安装的时候遇到ia-32-libs无法安装的问题,记录汇总一下,希望可以帮到大家。
   第一步:sudo apt-get install libqt4-core libqt4-dbus libqt4-gui libqt4-network libqt4-webkit libqt4-xml libfuse2 mplayer
   第二步:下载64位PPS deb文件;
                    64位:~cnav/+archive/ppa/+files/ppstream_1.0.0-3lucid2_amd64.deb
                    32位:
    第三步:    sudo dpkg -i ppstream_1.0.0-3lucid2_amd64.deb

    安装的时候问题就出在了第三步上,安装显示无法安装ia32-libs,问题如下:
            
            正在读取软件包列表... 完成
            正在分析软件包的依赖关系树 正在读取状态信息... 完成
            现在没有可用的软件包 ia32-libs,但是它被其它的软件包引用了。
            这可能意味着这个缺失的软件包可能已被废弃, 或者只能在其他发布源中找到
            可是下列软件包取代了它: lib32z1 lib32ncurses5 lib32bz2-1.0
            E: 软件包 ia32-libs 没有可供安装的候选者
   
    在网上找了半天,发现各种症状类似的问题,但提供的方法都无法解决这个问题,功夫不负有心人,最后终于找到了一个解决办法:


    下面列出其他几种ia32-libs无法安装的类似情况,供大家参考,具体情况可能不一样,解决方法也不一样(反正我的就是不好使)。 
         在64位ubuntu系统上运作32位程序需要安装32位lib              
         Install PPS TV on ubuntu12.04 64bits                                            
         ubuntu 12.04及12.10无法安装 ia32-libs                     blog.sina.com.cn/s/blog_75ef37d00101h4gd.html

阅读(6044) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~